<?
// утилита удаляет дубликаты сообщений, возникшие в результате присуствия скрытых мероприятий (невидимых для админа, без group_id)
include(_DIR_TO_MODULES.'/engine/i_backgroup_process.php') ;
include_once("i_personals_photo_working.php");
class c_services_aspmo_setting_personals_photo_working extends i_backgroup_process_exec
{
	function exec()
    { include_once(_DIR_TO_MODULES.'/engine/i_setup.php') ;
      $GLOBALS['log_sql_update']=1 ;
			//damp_array($this);

			ob_start() ;
			switch($this->setting['action'])
			{
				case 'scan_photo_dir': 						  		i_personals_photo_working::scan_photo_dir() ; break ;
				case 'delete_not_use_img': 						  i_personals_photo_working::delete_not_use_img() ; break ;
				case 'delete_not_use_img_exec': 				i_personals_photo_working::delete_not_use_img_exec() ; break ;
				case 'synhronize_clone_folder_persons': i_personals_photo_working::synhronize_clone_folder_persons() ; break ;
			}
			$text=ob_get_clean() ;
			echo $text ;
			LOGS()->reg_log('personals_check_photo',$this->setting['action'],['save_to_file'=>$text]) ;


	   FILE_LOG()->append('END') ;
	  $GLOBALS['log_sql_update']=0 ;
    }

}

?>
